From f1499e986cc73fb538ff4c120135f58615b32cbb Mon Sep 17 00:00:00 2001
From: zubin <imzubin@localhost.localdomain>
Date: Jun 23 2019 11:15:52 +0000
Subject: [PATCH 2/18] fetch complete


---

diff --git a/src/main.py b/src/main.py
index d7cd5b3..c6bf96b 100644
--- a/src/main.py
+++ b/src/main.py
@@ -4,8 +4,11 @@ from window import Ui_MainWindow
 from PySide2 import QtCore, QtGui, QtWidgets
 from PyQt5 import QtCore, QtGui, QtWidgets
 
-def fetch_list():
 
+
+
+
+def fetch_list():
     with open("data/test.json") as json_file:
             data = json.load(json_file)
             for p in data['updates']:
@@ -19,7 +22,14 @@ def selected():
                 if p['title']== t[0].text():
                     ui.Package_name_main.setText(p['title'])
                     ui.Package_breif.setText(p['alias'])
+                    ui.Status.setText(p['status'])
+                    ui.Date_submitted.setText(p["date_submitted"])
+                    ui.Submit_user.setText(p['user']['name'])
+                    ui.Request.setText(p['request'])
+                    ui.Karma.setText(str(p['karma']))
+            
 
+            
 
 
 if __name__ == "__main__":
@@ -28,8 +38,11 @@ if __name__ == "__main__":
     MainWindow = QtWidgets.QMainWindow()
     ui = Ui_MainWindow()
     ui.setupUi(MainWindow)
+    
+    
     fetch_list()
-    ui.listWidget.itemClicked.connect(selected)
-    MainWindow.show()
+    ui.listWidget.itemSelectionChanged.connect(selected)
+    
+    
     MainWindow.show()
     sys.exit(app.exec_())
\ No newline at end of file
diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index 873b645..a3fc9a9 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>843</width>
-    <height>797</height>
+    <width>791</width>
+    <height>698</height>
    </rect>
   </property>
   <property name="mouseTracking">
